Gecode::Int::Arithmetic::ValuesMapNrootSigned< Ops > Class Template Reference

Mapping integer (must be an n-th power) to n-th root (signed). More...

`#include <pow.hpp>`

## Public Member Functions

| ValuesMapNrootSigned (const Ops &o)
| Initialize with operations o.
int | val (int x) const
| Perform mapping.

## Protected Attributes

Ops | ops
| Operations.

## Detailed Description

template<class Ops>
class Gecode::Int::Arithmetic::ValuesMapNrootSigned< Ops >

Mapping integer (must be an n-th power) to n-th root (signed).

Definition at line 283 of file pow.hpp.

## Constructor & Destructor Documentation

## ValuesMapNrootSigned()

template<class Ops>

Gecode::Int::Arithmetic::ValuesMapNrootSigned< Ops >::ValuesMapNrootSigned | ( | const Ops & | o | ) |

inline

Initialize with operations o.

Definition at line 289 of file pow.hpp.

## Member Function Documentation

## val()

template<class Ops>

int Gecode::Int::Arithmetic::ValuesMapNrootSigned< Ops >::val | ( | int | x | ) | const

inline

Perform mapping.

Definition at line 291 of file pow.hpp.

## Member Data Documentation

## ops

template<class Ops>

Ops Gecode::Int::Arithmetic::ValuesMapNrootSigned< Ops >::ops

protected

Operations.

Definition at line 286 of file pow.hpp.

The documentation for this class was generated from the following file:

- gecode/int/arithmetic/pow.hpp